Workspaces
Compozy Workspaces HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
curl -X GET "https://example.com/api/workspaces"{ "workspaces": [ { "add_dirs": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "default_agent": "string", "id": "string", "name": "string", "root_dir": "string", "sandbox_ref": "string", "updated_at": "2019-08-24T14:15:22Z" } ]}/api/workspacesRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/workspaces" \ -H "Content-Type: application/json" \ -d '{ "root_dir": "string" }'{ "workspace": { "add_dirs": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "default_agent": "string", "id": "string", "name": "string", "root_dir": "string", "sandbox_ref": "string", "updated_at": "2019-08-24T14:15:22Z" }}/api/workspaces/resolveRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/workspaces/resolve" \ -H "Content-Type: application/json" \ -d '{ "path": "string" }'{ "workspace": { "add_dirs": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "default_agent": "string", "id": "string", "name": "string", "root_dir": "string", "sandbox_ref": "string", "updated_at": "2019-08-24T14:15:22Z" }}/api/workspaces/{id}Path Parameters
Workspace id or path
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string"{ "agents": [ { "category_path": [ "string" ], "command": "string", "definition_digest": "string", "deny_tools": [ "string" ], "diagnostics": [ { "error_kind": "string", "message": "string", "path": "string" } ], "effective_runtime": { "model": "string", "provider": "string", "reasoning_effort": "none", "sources": { "model": "string", "provider": "string", "reasoning_effort": "string" } }, "mcp_servers": [ { "args": [ "string" ], "auth": { "authorization_url": "string", "client_id": "string", "client_secret_configured": true, "issuer_url": "string", "metadata_url": "string", "revocation_url": "string", "scopes": [ "string" ], "token_url": "string", "type": "string" }, "command": "string", "env": { "property1": "string", "property2": "string" }, "name": "string", "secret_env": { "property1": "string", "property2": "string" }, "transport": "string", "url": "string" } ], "model": "string", "name": "string", "origin": "global", "permissions": "string", "prompt": "string", "provider": "string", "reasoning_effort": "none", "skills": { "disabled": [ "string" ] }, "tools": [ "string" ], "toolsets": [ "string" ], "workspace_id": "string" } ], "providers": [ { "auth_mode": "string", "display_name": "string", "env_policy": "string", "harness": "string", "home_policy": "string", "name": "string", "runtime_provider": "string" } ], "sessions": [ { "acp_caps": { "config_options": [ { "current": "string", "description": "string", "id": "string", "kind": "string", "label": "string", "values": [ { "description": "string", "label": "string", "value": "string" } ] } ], "supported_modes": [ "string" ], "supports_load_session": true }, "acp_session_id": "string", "activity": { "current_tool": "string", "deadline_at": "2019-08-24T14:15:22Z", "elapsed_ms": 0, "elapsed_seconds": 0, "idle_seconds": 0, "iteration_current": 0, "iteration_max": 0, "last_activity_at": "2019-08-24T14:15:22Z", "last_activity_detail": "string", "last_activity_kind": "string", "last_progress_at": "2019-08-24T14:15:22Z", "tool_call_id": "string", "turn_id": "string", "turn_source": "string", "turn_started_at": "2019-08-24T14:15:22Z" }, "agent_name": "string", "attach_expires_at": "2019-08-24T14:15:22Z", "attachable": true, "attached_to": "string", "available_commands": [ { "description": "string", "input": { "hint": "string" }, "name": "string" } ], "badge": "string", "created_at": "2019-08-24T14:15:22Z", "failure": { "crash_bundle_path": "string", "kind": "string", "summary": "string" }, "health": { "active_prompt": true, "agent_name": "string", "attachable": true, "eligible_for_wake": true, "health": "healthy", "ineligibility_reason": "session_prompt_active", "last_activity_at": "2019-08-24T14:15:22Z", "last_error": "string", "last_presence_at": "2019-08-24T14:15:22Z", "session_id": "string", "state": "idle", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" }, "id": "string", "lineage": { "auto_stop_on_parent": true, "parent_session_id": "string", "permission_policy": { "mcp_servers": [ "string" ], "network_channels": [ "string" ], "sandbox_profiles": [ "string" ], "skills": [ "string" ], "tools": [ "string" ], "workspace_paths": [ "string" ] }, "root_session_id": "string", "spawn_budget": { "max_active_per_workspace": 0, "max_children": 0, "max_depth": 0, "ttl_seconds": 0 }, "spawn_depth": 0, "spawn_role": "string", "ttl_expires_at": "2019-08-24T14:15:22Z" }, "model": "string", "name": "string", "provider": "string", "reasoning_effort": "none", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "sandbox": { "backend": "string", "instance_id": "string", "last_sync_error": "string", "profile": "string", "provider_state_json": null, "sandbox_id": "string", "state": "string" }, "speed": "normal", "speed_resolution": { "reason": "capability_absent", "requested": "normal", "status": "applied" }, "state": "starting", "stop_detail": "string", "stop_reason": "completed", "transcript_epoch": 0, "type": "user", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string", "workspace_path": "string" } ], "skills": [ { "dir": "string", "name": "string", "source": "string" } ], "workspace": { "add_dirs": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "default_agent": "string", "id": "string", "name": "string", "root_dir": "string", "sandbox_ref": "string", "updated_at": "2019-08-24T14:15:22Z" }}/api/workspaces/{id}Path Parameters
Workspace id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/workspaces/string" \ -H "Content-Type: application/json" \ -d '{ "add_dirs": [ "string" ], "default_agent": "string", "name": "string", "sandbox_ref": "string" }'{ "workspace": { "add_dirs": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "default_agent": "string", "id": "string", "name": "string", "root_dir": "string", "sandbox_ref": "string", "updated_at": "2019-08-24T14:15:22Z" }}/api/workspaces/{id}Path Parameters
Workspace id
Response Body
application/json
application/json
curl -X DELETE "https://example.com/api/workspaces/string"/api/workspaces/{workspace_id}/window-managerPath Parameters
Workspace id
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/window-manager"{ "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "history": { "redo": [ { "actor": { "id": "string", "kind": "string" }, "after": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "before": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "command_id": "desktop.create", "created_at": "2019-08-24T14:15:22Z", "origin": "string" } ], "undo": [ { "actor": { "id": "string", "kind": "string" }, "after": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "before": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "command_id": "desktop.create", "created_at": "2019-08-24T14:15:22Z", "origin": "string" } ] }, "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "revision": 0, "updated_at": "2019-08-24T14:15:22Z", "version": 0, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } }, "workspace_id": "string"}/api/workspaces/{workspace_id}/window-manager/clientsPath Parameters
Workspace id
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/window-manager/clients"{ "clients": [ { "active_desktop_id": "string", "client_id": "string", "connected_at": "2019-08-24T14:15:22Z", "focus_order": [ "string" ], "focused_window_id": "string", "presentation_revision": 0, "workspace_id": "string" } ], "workspace_id": "string"}/api/workspaces/{workspace_id}/window-manager/clientsPath Parameters
Workspace id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/workspaces/string/window-manager/clients" \ -H "Content-Type: application/json" \ -d '{ "workspace_id": "string" }'{ "active_desktop_id": "string", "client_id": "string", "connected_at": "2019-08-24T14:15:22Z", "focus_order": [ "string" ], "focused_window_id": "string", "presentation_revision": 0, "workspace_id": "string"}/api/workspaces/{workspace_id}/window-manager/clients/{client_id}Path Parameters
Workspace id
Connected window-manager client id
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/workspaces/string/window-manager/clients/string"/api/workspaces/{workspace_id}/window-manager/commandsPath Parameters
Workspace id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/workspaces/string/window-manager/commands" \ -H "Content-Type: application/json" \ -d '{ "actor": {}, "command_id": "desktop.create", "expected_revision": 0, "origin": "string", "payload": null, "workspace_id": "string" }'{ "applied": true, "changes": { "client_ids": [ "string" ], "desktop_ids": [ "string" ], "group_ids": [ "string" ], "node_ids": [ "string" ], "window_ids": [ "string" ] }, "client": { "active_desktop_id": "string", "client_id": "string", "connected_at": "2019-08-24T14:15:22Z", "focus_order": [ "string" ], "focused_window_id": "string", "presentation_revision": 0, "workspace_id": "string" }, "diagnostics": [ { "code": "string", "message": "string", "path": "string" } ], "rebased_from": 0, "snapshot": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "history": { "redo": [ { "actor": { "id": "string", "kind": "string" }, "after": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "before": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "command_id": "desktop.create", "created_at": "2019-08-24T14:15:22Z", "origin": "string" } ], "undo": [ { "actor": { "id": "string", "kind": "string" }, "after": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "before": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "command_id": "desktop.create", "created_at": "2019-08-24T14:15:22Z", "origin": "string" } ] }, "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "revision": 0, "updated_at": "2019-08-24T14:15:22Z", "version": 0, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } }, "workspace_id": "string" }}/api/workspaces/{workspace_id}/window-manager/layoutPath Parameters
Workspace id
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/window-manager/layout"{ "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "version": 0, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } }, "workspace_id": "string"}/api/workspaces/{workspace_id}/window-manager/layoutPath Parameters
Workspace id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/workspaces/string/window-manager/layout" \ -H "Content-Type: application/json" \ -d '{ "actor": {}, "document": { "desktops": [ { "floating": [ "string" ], "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "id": "string", "kind": "leaf" } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": {}, "version": 0, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "minimized": true, "placement": "tiled", "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "minimized": true, "placement": "tiled", "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } }, "workspace_id": "string" }, "expected_revision": 0, "origin": "string", "workspace_id": "string" }'{ "applied": true, "changes": { "client_ids": [ "string" ], "desktop_ids": [ "string" ], "group_ids": [ "string" ], "node_ids": [ "string" ], "window_ids": [ "string" ] }, "client": { "active_desktop_id": "string", "client_id": "string", "connected_at": "2019-08-24T14:15:22Z", "focus_order": [ "string" ], "focused_window_id": "string", "presentation_revision": 0, "workspace_id": "string" }, "diagnostics": [ { "code": "string", "message": "string", "path": "string" } ], "rebased_from": 0, "snapshot": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "history": { "redo": [ { "actor": { "id": "string", "kind": "string" }, "after": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "before": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "command_id": "desktop.create", "created_at": "2019-08-24T14:15:22Z", "origin": "string" } ], "undo": [ { "actor": { "id": "string", "kind": "string" }, "after": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "before": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "command_id": "desktop.create", "created_at": "2019-08-24T14:15:22Z", "origin": "string" } ] }, "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "revision": 0, "updated_at": "2019-08-24T14:15:22Z", "version": 0, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } }, "workspace_id": "string" }}/api/workspaces/{workspace_id}/window-manager/layout-profilesPath Parameters
Workspace id
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/window-manager/layout-profiles"{ "records": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "kind": "string", "owner": { "id": "string", "kind": "string" }, "scope": { "id": "string", "kind": "global" }, "source": { "id": "string", "kind": "string" }, "spec": null, "updated_at": "2019-08-24T14:15:22Z", "version": 0 } ]}/api/workspaces/{workspace_id}/window-manager/layout-profiles/{profile_id}Path Parameters
Workspace id
Layout profile id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/workspaces/string/window-manager/layout-profiles/string" \ -H "Content-Type: application/json" \ -d '{ "expected_version": 0 }'/api/workspaces/{workspace_id}/window-manager/layout-profiles/{profile_id}Path Parameters
Workspace id
Layout profile id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/workspaces/string/window-manager/layout-profiles/string" \ -H "Content-Type: application/json" \ -d '{ "scope": { "kind": "global" }, "spec": null }'{ "record": { "created_at": "2019-08-24T14:15:22Z", "id": "string", "kind": "string", "owner": { "id": "string", "kind": "string" }, "scope": { "id": "string", "kind": "global" }, "source": { "id": "string", "kind": "string" }, "spec": null, "updated_at": "2019-08-24T14:15:22Z", "version": 0 }}/api/workspaces/{workspace_id}/window-manager/layout/validatePath Parameters
Workspace id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/workspaces/string/window-manager/layout/validate" \ -H "Content-Type: application/json" \ -d '{ "document": { "desktops": [ { "floating": [ "string" ], "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "id": "string", "kind": "leaf" } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": {}, "version": 0, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "minimized": true, "placement": "tiled", "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "minimized": true, "placement": "tiled", "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } }, "workspace_id": "string" }, "workspace_id": "string" }'{ "diagnostics": [ { "code": "string", "message": "string", "path": "string" } ], "valid": true, "workspace_id": "string"}/api/workspaces/{workspace_id}/window-manager/previewPath Parameters
Workspace id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/workspaces/string/window-manager/preview" \ -H "Content-Type: application/json" \ -d '{ "actor": {}, "command_id": "desktop.create", "expected_revision": 0, "origin": "string", "payload": null, "workspace_id": "string" }'{ "changed": true, "changes": { "client_ids": [ "string" ], "desktop_ids": [ "string" ], "group_ids": [ "string" ], "node_ids": [ "string" ], "window_ids": [ "string" ] }, "client": { "active_desktop_id": "string", "client_id": "string", "connected_at": "2019-08-24T14:15:22Z", "focus_order": [ "string" ], "focused_window_id": "string", "presentation_revision": 0, "workspace_id": "string" }, "diagnostics": [ { "code": "string", "message": "string", "path": "string" } ], "snapshot": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "history": { "redo": [ { "actor": { "id": "string", "kind": "string" }, "after": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "before": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "command_id": "desktop.create", "created_at": "2019-08-24T14:15:22Z", "origin": "string" } ], "undo": [ { "actor": { "id": "string", "kind": "string" }, "after": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "before": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "command_id": "desktop.create", "created_at": "2019-08-24T14:15:22Z", "origin": "string" } ] }, "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "revision": 0, "updated_at": "2019-08-24T14:15:22Z", "version": 0, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } }, "workspace_id": "string" }}/api/workspaces/{workspace_id}/window-manager/streamPath Parameters
Workspace id
Query Parameters
Last applied window-manager revision
int64value <= 9007199254740991Optional connected client bound to presentation updates
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/window-manager/stream"{ "client": { "active_desktop_id": "string", "client_id": "string", "connected_at": "2019-08-24T14:15:22Z", "focus_order": [ "string" ], "focused_window_id": "string", "presentation_revision": 0, "workspace_id": "string" }, "revision": 0, "snapshot": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "history": { "redo": [ { "actor": { "id": "string", "kind": "string" }, "after": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "before": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "command_id": "desktop.create", "created_at": "2019-08-24T14:15:22Z", "origin": "string" } ], "undo": [ { "actor": { "id": "string", "kind": "string" }, "after": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "before": { "desktops": [ { "floating": [ "string" ], "focus_owner": "string", "groups": [ { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } } ], "id": "string", "name": "string", "order": 0, "purpose": "standard" } ], "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } } }, "command_id": "desktop.create", "created_at": "2019-08-24T14:15:22Z", "origin": "string" } ] }, "overrides": { "bindings": { "bottom_center": "string", "top_center": "string" }, "desktop_transition": "string", "drag_away_policy": "string", "focus_follows_pointer": true, "focus_policy": "string", "focus_wrap": true, "gaps": { "bottom": 0.1, "inner": 0.1, "left": 0.1, "right": 0.1, "top": 0.1 }, "group_move_modifier": "string", "history_limit": 0, "new_window_policy": "string", "raise_on_focus": true, "shortcuts": { "property1": "string", "property2": "string" }, "small_viewport_policy": "string", "snap": { "corner_reach": 0.1, "edge_band": 0.1, "exit_slack": 0.1, "repeat_ratios": [ 0.1 ] }, "swap_modifier": "string" }, "revision": 0, "updated_at": "2019-08-24T14:15:22Z", "version": 0, "windows": { "property1": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } }, "property2": { "app": "string", "desktop_id": "string", "floating_rect": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "instance_key": "string", "minimized": true, "placement": "tiled", "return_anchor": { "child_index": 0, "desktop_id": "string", "group_id": "string", "neighbor_ids": [ "string" ], "parent_split_id": "string", "source_group": { "frame": { "height": 0.1, "width": 0.1, "x": 0.1, "y": 0.1 }, "id": "string", "root": { "active_id": "string", "axis": "horizontal", "children": [ { "active_id": "string", "axis": "horizontal", "children": [ {} ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } ], "id": "string", "kind": "leaf", "weights": [ 0.1 ], "window_id": "string", "window_ids": [ "string" ] } }, "source_revision": 0, "weight": 0 }, "route": { "pathname": "string", "search": { "property1": null, "property2": null } } } }, "workspace_id": "string" }, "type": "snapshot", "workspace_id": "string"}